Bug 513150 - Review Request: bios_extract - Tool to extract the different submodules of common legacy bioses
Summary: Review Request: bios_extract - Tool to extract the different submodules of co...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-22 09:16 UTC by Peter Lemenkov
Modified: 2009-08-10 21:53 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-08-05 17:23:24 UTC
yaneti: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2009-07-22 09:16:09 UTC
Spec URL: http://peter.fedorapeople.org/bios_extract.spec
SRPM URL: <http://peter.fedorapeople.org/bios_extract-0-0.1.20090713git.fc11.src.rpm
Description: Tool to extract the different submodules of common legacy bioses.

Nice add-on to flashrom.

rpmlint is silent:

[petro@Sulaco SPECS]$ rpmlint ../RPMS/ppc/bios_extract-0-0.1.20090713git.fc11.ppc.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[petro@Sulaco SPECS]$ rpmlint ../SRPMS/bios_extract-0-0.1.20090713git.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[petro@Sulaco SPECS]$

Koji logs:
El-4 http://koji.fedoraproject.org/koji/taskinfo?taskID=1491734
EL-5 http://koji.fedoraproject.org/koji/taskinfo?taskID=1491724
F-11 http://koji.fedoraproject.org/koji/taskinfo?taskID=1491729

Comment 1 Yanko Kaneti 2009-07-22 12:02:16 UTC
- Verified the source matches upstream
- The License matches upstream source file headers.

APPROVED

little nitpicking

- The release starting with 0. is redundant to version 0. , would use just 1.whatever

- cgit on fdo is nice. I would use 
Source0: http://cgit.freedesktop.org/~libv/bios_extract/snapshot/bios_extract-%{git_commit}.tar.bz2

- Having at least two executables , perhaps  s/Tool/Tools/ everywhere.

Comment 2 Peter Lemenkov 2009-07-22 14:12:07 UTC
(In reply to comment #1)
> - Verified the source matches upstream
> - The License matches upstream source file headers.
> 
> APPROVED

Thanks!

> little nitpicking
> 
> - The release starting with 0. is redundant to version 0. , would use just
> 1.whatever

I'm afraid, I can't do this. There are no such exceptions in Fedora Packaging Guidelines regarding versioning of packages, based on VCS's snapshots. Anyway, it's not a big issue.

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

> - cgit on fdo is nice. I would use 
> Source0:
> http://cgit.freedesktop.org/~libv/bios_extract/snapshot/bios_extract-%{git_commit}.tar.bz2

Thanks for the tip! I didn't know about such feature. Fixed.

> - Having at least two executables , perhaps  s/Tool/Tools/ everywhere.  

Done.

http://peter.fedorapeople.org/bios_extract.spec
http://peter.fedorapeople.org/bios_extract-0-0.2.20090713git.fc11.src.rpm

Comment 3 Yanko Kaneti 2009-07-22 14:53:05 UTC
Again looks fine. Please do the cvs incantation :)

Comment 4 Peter Lemenkov 2009-07-23 09:02:29 UTC
New Package CVS Request
=======================
Package Name: bios_extract
Short Description: Tools to extract the different submodules of common legacy bioses
Owners: peter
Branches: EL-4 EL-5 F-10 F-11
InitialCC:

Comment 5 Jason Tibbitts 2009-07-23 16:39:51 UTC
CVS done.

Comment 6 Fedora Update System 2009-07-23 17:20:45 UTC
bios_extract-0-0.2.20090713git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bios_extract-0-0.2.20090713git.fc10

Comment 7 Fedora Update System 2009-07-23 17:20:49 UTC
bios_extract-0-0.2.20090713git.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/bios_extract-0-0.2.20090713git.el5

Comment 8 Fedora Update System 2009-07-23 17:20:55 UTC
bios_extract-0-0.2.20090713git.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bios_extract-0-0.2.20090713git.fc11

Comment 9 Fedora Update System 2009-07-23 17:20:59 UTC
bios_extract-0-0.2.20090713git.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/bios_extract-0-0.2.20090713git.el4

Comment 10 Fedora Update System 2009-07-23 20:57:28 UTC
bios_extract-0-0.2.20090713git.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bios_extract'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0116

Comment 11 Fedora Update System 2009-07-23 20:57:42 UTC
bios_extract-0-0.2.20090713git.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bios_extract'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0095

Comment 12 Fedora Update System 2009-07-24 19:40:46 UTC
bios_extract-0-0.2.20090713git.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bios_extract'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7992

Comment 13 Fedora Update System 2009-07-24 19:43:55 UTC
bios_extract-0-0.2.20090713git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bios_extract'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8005

Comment 14 Fedora Update System 2009-08-02 08:55:42 UTC
bios_extract-0-0.4.20090713git.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bios_extract-0-0.4.20090713git.fc11

Comment 15 Fedora Update System 2009-08-02 08:55:48 UTC
bios_extract-0-0.4.20090713git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bios_extract-0-0.4.20090713git.fc10

Comment 16 Fedora Update System 2009-08-03 19:24:46 UTC
bios_extract-0-0.4.20090713git.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bios_extract'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8246

Comment 17 Fedora Update System 2009-08-03 19:26:35 UTC
bios_extract-0-0.4.20090713git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bios_extract'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8250

Comment 18 Fedora Update System 2009-08-05 17:23:20 UTC
bios_extract-0-0.2.20090713git.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-08-05 17:23:40 UTC
bios_extract-0-0.2.20090713git.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2009-08-10 21:38:38 UTC
bios_extract-0-0.4.20090713git.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2009-08-10 21:53:03 UTC
bios_extract-0-0.4.20090713git.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.